
Redmine - Defect #7098

"rest api: issues" wiki page contains invalid info about pages/limits

2010-12-13 02:40 - Alex Last

Status: Closed Start date: 2010-12-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

this page

http://www.redmine.org/projects/redmine/wiki/Rest_Issues

has invalid info about paging and pages limits.

"page" parameter is ignored. these urls have different "page" value:

http://academ:3000/issues.xml?project_id=testproject&query_id=2&page=0&per_page=100&key=01d7692c21

8a74d60d25d8eb5f62874a22ef8599

  

http://academ:3000/issues.xml?project_id=testproject&query_id=2&page=1&per_page=100&key=01d7692c21

8a74d60d25d8eb5f62874a22ef8599

 - but return the same list of tasks with offset="0" attribute:

<?xml version="1.0" encoding="UTF-8"?>&lt;issues type="array" limit="25" total_count="50" offset="

0"&gt;......

 I had to read the trunk code to find out that "offset" and "limit" parameters must be used instead of "page" and "per_page".

this query works fine:

http://academ:3000/issues.xml?project_id=testproject&query_id=2&offset=0&limit=100&key=01d7692c218

a74d60d25d8eb5f62874a22ef8599

 I will update the Wiki page if I have permissions.

History

#1 - 2010-12-13 02:44 - Alex Last

- Status changed from New to Resolved

I was able to edit the wiki page:

http://www.redmine.org/wiki/redmine/Rest_Issues/diff?version=21&version_from=20&commit=View+differences

#2 - 2010-12-13 03:05 - Alex Last

oh, these params are not integrated into "stable 1.0 branch". I added a comment on the wiki page.

#3 - 2011-11-05 15:26 - Etienne Massip

- Category changed from Wiki to Documentation

- Status changed from Resolved to Closed

#4 - 2011-11-05 15:26 - Etienne Massip

- Resolution set to Fixed
